Bug 256336 - textproc/py-gi-docgen: hard-coded /usr/local
Summary: textproc/py-gi-docgen: hard-coded /usr/local
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-desktop (Team)
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2021-06-01 14:34 UTC by John Hein
Modified: 2021-08-20 12:01 UTC (History)
2 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
[patch] fix hard-coded /usr/local (1.33 KB, patch)
2021-06-01 14:43 UTC, John Hein
jcfyecrayz: maintainer-approval? (desktop)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Hein 2021-06-01 14:34:28 UTC
If LOCALBASE is not /usr/local, the pango build fails because textproc/py-gi-docgen has a hard-coded reference to /usr/local.

===============
 .
 .
FAILED: docs/Pango 
/usr/loc/bin/gi-docgen generate --quiet --add-include-path=/wrkdirs/usr/ports/x11-toolkits/pango/work/pango-1.48.4/_build/docs/../pango --config docs/pango.toml --output-dir=docs/Pango --no-namespace-dir --content-dir=/wrkdirs/usr/ports/x11-toolkits/pango/work/pango-1.48.4/docs pango/Pango-1.0.gir
ERROR: Could not find GIR dependency in the search paths: GObject-2.0
 .
 .
===============
Comment 1 John Hein 2021-06-01 14:43:25 UTC
Created attachment 225453 [details]
[patch] fix hard-coded /usr/local

Don't hard code the default search path with "/usr/local" - use LOCALBASE.

This patch bumps PORTREVISION.  This patch will not change the default packages where LOCALBASE = /usr/local, so that bump is at the committer's discretion.  I suggest it should be bumped - if someone has already installed a py-gi-docgen, but is failing the pango build because of a non-default LOCALBASE, it would help to bump PORTREVISION.  In other words, this change does not directly fix a build error with the py-gi-docgen port, but rather a separate port that depends on py-gi-docgen.  So bumping PORTREVISION is a good idea.
Comment 2 John Hein 2021-06-01 14:48:07 UTC
QA:
  poudriere testport (textproc/py-gi-docgen, x11-toolkits/pango) - ok (stable/11 amd64)
  portlint - ok
Comment 3 John Hein 2021-06-15 17:20:34 UTC
This has hit maintainer timeout. I wonder why the 'Problem reports' summary email for desktop@ does not include this bug.
Comment 4 Tobias C. Berner freebsd_committer 2021-06-16 17:45:45 UTC
Committed. Thanks.
Comment 5 commit-hook freebsd_committer 2021-06-16 17:46:17 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=03886d91280299fe3989c109272706aadd61c983

commit 03886d91280299fe3989c109272706aadd61c983
Author:     John Hein <jcfyecrayz@liamekaens.com>
AuthorDate: 2021-06-16 17:42:49 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-06-16 17:42:59 +0000

    textproc/py-gi-docgen: remove hard-coded /usr/local

    PR:             256336

 textproc/py-gi-docgen/Makefile                            |  5 +++++
 textproc/py-gi-docgen/files/patch-gidocgen_utils.py (new) | 11 +++++++++++
 2 files changed, 16 insertions(+)
Comment 6 commit-hook freebsd_committer 2021-08-20 12:01:45 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=ce110ea12fcea71ae437d0a1d0549d3d32055b0e

commit ce110ea12fcea71ae437d0a1d0549d3d32055b0e
Author:     Wei Hu <whu@FreeBSD.org>
AuthorDate: 2021-08-20 08:43:10 +0000
Commit:     Wei Hu <whu@FreeBSD.org>
CommitDate: 2021-08-20 10:44:57 +0000

    Microsoft Azure Network Adapter(MANA) VF support

    MANA is the new network adapter from Microsoft which will be available
    in Azure public cloud. It provides SRIOV NIC as virtual function to
    guest OS running on Hyper-V.

    The code can be divided into two major parts. Gdma_main.c is the one to
    bring up the hardware board and drives all underlying hardware queue
    infrastructure. Mana_en.c contains all main ethernet driver code.
    It has only tested and supported on amd64 architecture.

    PR:             256336
    Reviewed by:    decui@microsoft.com
    Tested by:      whu
    MFC after:      2 week
    Relnotes:       yes
    Sponsored by:   Microsoft
    Differential Revision:  https://reviews.freebsd.org/D31150

 sys/conf/files.x86               |    6 +
 sys/dev/mana/gdma.h (new)        |  744 +++++++++++
 sys/dev/mana/gdma_main.c (new)   | 1961 +++++++++++++++++++++++++++
 sys/dev/mana/gdma_util.c (new)   |   96 ++
 sys/dev/mana/gdma_util.h (new)   |  206 +++
 sys/dev/mana/hw_channel.c (new)  |  950 ++++++++++++++
 sys/dev/mana/hw_channel.h (new)  |  222 ++++
 sys/dev/mana/mana.h (new)        |  689 ++++++++++
 sys/dev/mana/mana_en.c (new)     | 2699 ++++++++++++++++++++++++++++++++++++++
 sys/dev/mana/mana_sysctl.c (new) |  219 ++++
 sys/dev/mana/mana_sysctl.h (new) |   48 +
 sys/dev/mana/shm_channel.c (new) |  337 +++++
 sys/dev/mana/shm_channel.h (new) |   52 +
 sys/modules/Makefile             |    2 +
 sys/modules/mana/Makefile (new)  |   12 +
 15 files changed, 8243 insertions(+)